groovy.inspect.swingui

## Class TableMap

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - groovy.inspect.swingui.TableMap

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.swing.event.TableModelListener, javax.swing.table.TableModel
  Direct Known Subclasses:
    TableSorter

      public class TableMap
      extends javax.swing.table.AbstractTableModel
      implements javax.swing.event.TableModelListener

  In a chain of data manipulators some behaviour is common. TableMap provides most of this behaviour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.table.TableModel` | `model`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getColumnClass(int aColumn)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int aColumn)`
    `javax.swing.table.TableModel` | `getModel()`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int aRow, int aColumn)`
    `boolean` | `isCellEditable(int row, int column)`
    `void` | `setModel(javax.swing.table.TableModel model)`
    `void` | `setValueAt(java.lang.Object aValue, int aRow, int aColumn)`
    `void` | `tableChanged(javax.swing.event.TableModelEvent e)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          protected javax.swing.table.TableModel model

  - ### Constructor Detail

    - #### TableMap

          public TableMap()

  - ### Method Detail

    - #### getModel

          public javax.swing.table.TableModel getModel()

    - #### setModel

          public void setModel(javax.swing.table.TableModel model)

    - #### getValueAt

          public java.lang.Object getValueAt(int aRow,
                                    int aColumn)

      Specified by:
        `getValueAt` in interface `javax.swing.table.TableModel`

    - #### setValueAt

          public void setValueAt(java.lang.Object aValue,
                        int aRow,
                        int aColumn)

      Specified by:
        `setValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `setValueAt` in class `javax.swing.table.AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

      Specified by:
        `getRowCount` in interface `javax.swing.table.TableModel`

    - #### getColumnCount

          public int getColumnCount()

      Specified by:
        `getColumnCount` in interface `javax.swing.table.TableModel`

    - #### getColumnName

          public java.lang.String getColumnName(int aColumn)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getColumnClass

          public java.lang.Class getColumnClass(int aColumn)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable(int row,
                               int column)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.AbstractTableModel`

    - #### tableChanged

          public void tableChanged(javax.swing.event.TableModelEvent e)

      Specified by:
        `tableChanged` in interface `javax.swing.event.TableModelListener`